package com.gh.gamecenter.home.custom

import com.gh.gamecenter.eventbus.EBDownloadStatus
import com.gh.gamecenter.eventbus.EBPackage
import com.lightgame.download.DownloadEntity

/**
 * 当游戏下载状态发生变化时，需要通知列表页刷新
 */
interface IGameChangedNotifier {

    /**
     * 下载
     */
    fun notifyDownload(download: DownloadEntity)

    /**
     * 下载被删除
     */
    fun notifyDownloadDeleted(status: EBDownloadStatus)

    /**
     * 安装/卸载
     */
    fun notifyInstalled(busFour: EBPackage)
}